### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10.1 documentation »
- The IPython API »

# kernel.codeutil

## Module: `kernel.codeutil`

Utilities to enable code objects to be pickled.

Any process that import this module will be able to pickle code objects. This includes the func_code attribute of any function. Once unpickled, new functions can be built using new.function(code, globals()). Eventually we need to automate all of this so that functions themselves can be pickled.

Reference: A. Tremols, P Cogolo, “Python Cookbook,” p 302-305

## Functions

`IPython.kernel.codeutil.``code_ctor`()

`IPython.kernel.codeutil.``reduce_code`()

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10.1 documentation »
- The IPython API »